Eclipse Platform Release 3.7

## org.eclipse.jface.text
Interface IDocumentExtension.IReplace

Enclosing interface:
  IDocumentExtension

    public static interface IDocumentExtension.IReplace

Interface for a post notification replace operation.

Method Summary
`void` `perform(IDocument document, IDocumentListener owner)` Executes the replace operation on the given document.

Method Detail

### perform

    void perform(IDocument document,
                 IDocumentListener owner)

  Executes the replace operation on the given document.

  Parameters:
    `document` - the document to be changed
    `owner` - the owner of this replace operation

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.